Bug 108055 - redhat-config-bind fails to start up
redhat-config-bind fails to start up
Product: Fedora
Classification: Fedora
Component: redhat-config-bind (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: 1081387 (view as bug list)
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
Reported: 2003-10-27 02:41 EST by Ulrich Drepper
Modified: 2014-03-27 07:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-05 23:28:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2003-10-27 02:41:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a) Gecko/20031021

Description of problem:
I never used r-c-b before, my named.conf file is created by hand and is highly
customized.  It is well-formed as attested by named starting up and not
complaining.  But r-c-b fails with

Traceback (most recent call last):
  File "/usr/sbin/redhat-config-bind-gui", line 93, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/redhat-config-bind/ConfNamed.py", line 318, in __init__
    current[-1].setOpt(val[0],join(val[1:],' '))
IndexError: list index out of range

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
0.I'll try to attach a sanitized version of my named.conf file.
1.use said file
2.start r.c.b

Actual Results:  message above

Expected Results:  dialog of r-c-b

Additional info:
Comment 2 Daniel Walsh 2003-11-05 23:28:06 EST
New and improved version built.  2.0.1-1

Try it out.

Comment 3 Ulrich Drepper 2003-11-05 23:44:22 EST
Indeed, it starts up.  There are some warnings and some missing
functionality.  I'll file separate bugs for those issues.
Comment 4 dongpj 2014-03-27 07:43:50 EDT
*** Bug 1081387 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.